gr::satellites::frame_counter_impl Class Reference

`#include <frame_counter_impl.h>`

Inheritance diagram for gr::satellites::frame_counter_impl:

## Public Member Functions

| frame_counter_impl (size_t itemsize, size_t frame_size)
| ~frame_counter_impl () override
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items) override

## Additional Inherited Members

Public Types inherited from gr::satellites::frame_counter
typedef std::shared_ptr< frame_counter > | sptr
Static Public Member Functions inherited from gr::satellites::frame_counter
static sptr | make (size_t itemsize, size_t frame_size)
| Build the Frame Counter block.

## Constructor & Destructor Documentation

## frame_counter_impl()

gr::satellites::frame_counter_impl::frame_counter_impl | ( | size_t | itemsize,
|  | size_t | frame_size )

## ~frame_counter_impl()

gr::satellites::frame_counter_impl::~frame_counter_impl | ( |  | ) |

override

## Member Function Documentation

## work()

int gr::satellites::frame_counter_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

override

The documentation for this class was generated from the following file:

- frame_counter_impl.h